Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Class Processor

    java.lang.Object
      rendsite.engine.Processor

All Implemented Interfaces:
  RendsiteProperties

    public class Processor

extends java.lang.Object
implements RendsiteProperties

Processor is the bridge from the crawl engine and the renderers. It will make any final decisions on what to render and what not to render.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary

Fields inherited from interface rendsite.RendsiteProperties
`PROP_CATALOG_FILE_NAME, PROP_CATALOG_FILE_NAME__DEFAULT, PROP_COPYRIGHT_NOTICE, PROP_DIR_COPY_ONLY, PROP_DIR_EXCLUDE, PROP_DIR_IGNORE, PROP_DIRECTORY, PROP_DIRECTORY_CATALOG, PROP_DIRECTORY_DESCRIPTION, PROP_DIRECTORY_NAME, PROP_DIRECTORY_TYPE, PROP_FILE, PROP_FILE_CATEGORY, PROP_FILE_COPY_ONLY, PROP_FILE_DESCRIPTION, PROP_FILE_EXCLUDE, PROP_FILE_IGNORE, PROP_FILE_NAME, PROP_FILE_RENDERING_TYPE, PROP_FILE_TYPE, PROP_LOCAL_DESCRIPTION, PROP_PROJECT, PROP_RENDERER_NAME, PROP_TEMPLATE_PATH_CATALOG, PROP_TEMPLATE_PATH_FILE, PROP_WILDCARD`

Constructor Summary
`Processor(FileContext fcontext, RenderingContext rcontext, PropertiesContext pcontext, RendsiteConfiguration configuration)` Create the processor.

Method Summary
`long` | `getConfigurationTime()` Get the newest configuration date/time.
`void` | `process(Node_Directory theDirectory)` Process a directory (for frame context).
`long` | `process(Node_File theFile)` Process a file.
`long` | `processCatalog(Node_Directory theDirectory)` Process the catalog.
`void` | `setConfigurationTime(long datetime)` Set the newest configuration date/time.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Processor

    public Processor(FileContext fcontext,
                     RenderingContext rcontext,
                     PropertiesContext pcontext,
                     RendsiteConfiguration configuration)
              throws java.lang.Throwable

  Create the processor.

  Parameters:
    `fcontext` - the file context
    `rcontext` - the renderer context
    `pcontext` - the property context
    `configuration` - the configuration for the system.
  Throws:
    `java.lang.Throwable` - normally this will only happen if you pass a null or bad SystemInterface.

Method Detail

### setConfigurationTime

    public void setConfigurationTime(long datetime)

  Set the newest configuration date/time.

  Parameters:
    `datetime` - date/time in milliseconds from epoch.

### getConfigurationTime

    public long getConfigurationTime()

  Get the newest configuration date/time.

  Returns:
    date/time in milliseconds from epoch.

### process

    public long process(Node_File theFile)
                 throws java.lang.Throwable

  Process a file.

  Parameters:
    `theFile` -
  Returns:
    the last modified date of the file (which might be now).
  Throws:
    `java.lang.Throwable` - for a wide range of offenses.

### process

    public void process(Node_Directory theDirectory)
                 throws java.lang.Throwable

  Process a directory (for frame context).

  Parameters:
    `theDirectory` -
  Throws:
    `java.lang.Throwable` - for a wide range of offenses.

### processCatalog

    public long processCatalog(Node_Directory theDirectory)
                        throws java.lang.Throwable

  Process the catalog. It should only be called when done with the frame and ready to render its catalog.

  Parameters:
    `theDirectory` -
  Returns:
    the last modified date of the file (which might be now).
  Throws:
    `java.lang.Throwable` - for a wide range of offenses.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.